---
features:
  secondary:
  - name: "SAST analyzer updates"
    available_in: [core, premium, ultimate]
    documentation_link: 'https://docs.gitlab.com/ee/user/application_security/sast/analyzers'
    reporter: connorgilbert
    stage: application_security_testing
    categories:
    - SAST
    issue_url: 'https://docs.gitlab.com/ee/user/application_security/#vulnerability-scanner-maintenance'  # This is a link to our update policy because the release issue (https://gitlab.com/gitlab-org/security-products/release/-/issues/138) is not publicly accessible.
    description: |
      GitLab SAST includes [many security analyzers](https://docs.gitlab.com/ee/user/application_security/sast/#supported-languages-and-frameworks) that the GitLab Static Analysis team actively maintains, updates, and supports.
      
      During the 16.2 release milestone, our changes focused on the Semgrep-based analyzer and the GitLab-maintained rules it uses for scanning. We released the following changes:
      
      - Clarified the explanation and guidance for JavaScript rules, building on [improvements for other languages released in GitLab 16.1](https://about.gitlab.com/releases/2023/06/22/gitlab-16-1-released/#clearer-guidance-and-better-coverage-for-sast-rules)
      - Updated rules to find additional vulnerabilities in Java and JavaScript.
      - Changed the default configuration for which files are ignored in scans by:
          - Removing `.gitignore` exclusion. Thanks to [`@SimonGurney`](https://gitlab.com/SimonGurney) for this community contribution.
          - Respecting locally-defined `.semgrepignore` files. Thanks to [`@hmrc.colinameigh`](https://gitlab.com/hmrc.colinameigh) for this community contribution.
      - Improved a rule related to Go memory aliasing. Thanks to [`@tyage`](https://gitlab.com/tyage) for this community contribution.
      - Removed a `-1` suffix added to the Semgrep rule IDs for JavaScript rules. This was added in GitLab 16.0 as a side-effect of an unrelated change, but interfered with customers' existing `semgrepignore` comments.
      
      See the [`semgrep` CHANGELOG](https://gitlab.com/gitlab-org/security-products/analyzers/semgrep/-/blob/main/CHANGELOG.md#v440) and [`sast-rules` CHANGELOG](https://gitlab.com/gitlab-org/security-products/sast-rules/-/blame/main/CHANGELOG.md) for further details.
      We're tracking further improvements to GitLab-managed rulesets in [epic 10907](https://gitlab.com/groups/gitlab-org/-/epics/10907).

      If you [include the GitLab-managed SAST template](https://docs.gitlab.com/ee/user/application_security/sast/#configure-sast-in-your-cicd-yaml) ([`SAST.gitlab-ci.yml`](https://gitlab.com/gitlab-org/gitlab/blob/master/lib/gitlab/ci/templates/Security/SAST.gitlab-ci.yml)) and run GitLab 16.0 or higher, you automatically receive these updates.
      To remain on a specific version of any analyzer and prevent automatic updates, you can [pin its version](https://docs.gitlab.com/ee/user/application_security/sast/#pinning-to-minor-image-version).

      For previous changes, see [last month's updates](https://about.gitlab.com/releases/2023/06/22/gitlab-16-1-released/#sast-analyzer-updates).
